Bug 2816 - LDAP addressbook search crashes Claws Mail
Summary: LDAP addressbook search crashes Claws Mail
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.9.0
Hardware: PC Windows NT
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-11-22 15:35 CET by pvoigt
Modified: 2015-07-01 13:42 CEST (History)
0 users

See Also:


Attachments
Windows crash report (German Windows version) (804 bytes, text/plain)
2012-11-22 15:37 CET, pvoigt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pvoigt 2012-11-22 15:35:04 CET
When searching in LDAP addressbook Claws crashes. It is not exactly predictable when the crash occurs but after numerous tests I've found out that it happens at least after four searches with arbitrary search names, e.g. some searches previously finish with correct result and no crash.

I'm using an address book stored in an openLDAP server under Linux with mozillaAbPersonAlpha.schema.

The Linux version 3.9.0 (compiled from source) is obviously not affected.

The used Windows version of Claws Mail is http://www.claws-mail.org/win32/claws-mail-3.9.0cvs12-pkg23.exe.

Please find attached the Windows crash report (German Windows version).
Comment 1 pvoigt 2012-11-22 15:37:28 CET
Created attachment 1192 [details]
Windows crash report (German Windows version)
Comment 2 Gray Hat 2013-05-24 12:56:28 CEST
Faced the very same issue; in my case I was running Claws version 3.9.1-2-g66aa06 on Windows7 x64, added an LDAP server pointing it to a Linux box running OpenLDAP, address search (tab-autocomplete) worked just fine, but in some cases, usually after entering 3 or more addresses, when tabbing over another partial address claws crashed
Comment 3 Simon Arnaud 2013-06-03 11:18:19 CEST
I have this problem with Windows Seven 32b.
version 3.9.1-2-g66aa06
Querying an active directory domain controller.

It always crashes a few ms after the result of the search for the third contact appears.
It never crashes for the firts and second contact.
It also does not crash if I do not search (Tab) the contact.
Comment 4 Simon Arnaud 2013-06-14 09:29:10 CEST
The newest package, claws-mail-3.9.1git2-pkg42, has resolved the problem for me so far. We will see in the long run.
Comment 5 Paul 2013-06-14 09:32:47 CEST
Ok, thanks for reporting. Re-open if necessary!
Comment 6 pvoigt 2013-06-14 10:37:45 CEST
I've just re-checked the LDAP search issue with the latest Windows version of Claws Mail:
http://www.claws-mail.org/win32/claws-mail-3.9.1git2-pkg42.exe.

Unfortunately, the bug still exists in an unchanged manner.

Operating system is Windows 7 Pro x86_64 DE.

Re-opened bug report.
Comment 7 Simon Arnaud 2013-06-19 18:06:57 CEST
I also confirm that the bug still exists, but is not as reproducible as before.

Searching LDAP from address book also crashes.
Comment 8 Marius 2014-09-24 11:16:29 CEST
I can also confirm this:
Claws Mail
version 3.10.1

Windows 7 AMD64

It crashes everytime when I search for the second email address.
Comment 9 Marius 2014-09-24 11:26:27 CEST
(In reply to comment #8)
> I can also confirm this:
> Claws Mail
> version 3.10.1
> 
> Windows 7 AMD64
> 
> It crashes everytime when I search for the second email address.

(1390.ecc): Access violation - code c0000005 (first chance)
First chance exceptions are reported before any exception handling.
This exception may be expected and handled.
eax=0000006c ebx=7264534c ecx=00be73ec edx=005c007a esi=00000000 edi=00bf7078
eip=7733ae49 esp=08edfe5c ebp=08edfe68 iopl=0         nv up ei pl nz na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00010206
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\Windows\syswow64\wldap32.dll - 
wldap32!ldap_memfreeW+0x2e1:
7733ae49 833800          cmp     dword ptr [eax],0    ds:002b:0000006c=????????
0:006> r eax
eax=0000006c
0:006> kv
ChildEBP RetAddr  Args to Child              
WARNING: Stack unwind information not available. Following frames may be wrong.
08edfe68 7733a42a 00be73ec 00be73f0 00000000 wldap32!ldap_memfreeW+0x2e1
08edfe8c 7733a4ce 7736e088 00000000 764826e0 wldap32!LdapUnicodeToUTF8+0x23ed
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\Program Files (x86)\GNU\Claws Mail\claws-mail.exe - 
08edfea8 005946b8 00be7504 00000001 00000000 wldap32!ldap_unbind+0x87
08edfec8 00594ba0 0addbdb8 08edfee8 00594b53 claws_mail!ldapqry_touch+0x1db
08edfee8 00594ce2 0addbdb8 00000000 08edff18 claws_mail!ldapqry_touch+0x6c3
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\Program Files (x86)\GNU\Claws Mail\pthreadGC2.dll - 
08edff18 62483ef2 0addbdb8 05d69578 76483ae8 claws_mail!ldapqry_touch+0x805
*** ERROR: Symbol file could not be found.  Defaulted to export symbols for C:\Windows\syswow64\msvcrt.dll - 
08edff48 763f1287 0ad2b0d8 4ee474e7 00000000 pthreadGC2!pthread_exit+0x112
08edff80 763f1328 08edff94 755b338a 086b0190 msvcrt!itow_s+0x4c
08edff88 755b338a 086b0190 08edffd4 77aa9f72 msvcrt!endthreadex+0x6c
08edff94 77aa9f72 086b0190 7f40665e 00000000 kernel32!BaseThreadInitThunk+0x12
08edffd4 77aa9f45 763f12e5 086b0190 00000000 ntdll!RtlInitializeExceptionChain+0x63
08edffec 00000000 763f12e5 086b0190 00000000 ntdll!RtlInitializeExceptionChain+0x36
Comment 10 users 2015-06-20 22:43:02 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2015-06-20 22:43:02.230611345 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=022303efd6fe6f6ec08c89affa9c66c61c85994e
Merge: c02430a 72a9c0b
Author: Colin Leroy <colin@colino.net>
Date:   Sat Jun 20 22:43:01 2015 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=72a9c0b46adc467c6ceacc608bceff52c19950dd
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Sat Jun 20 22:38:53 2015 +0200

    Do not free LDAP error string on Windows.
    
    Fixes bug #2816 - LDAP addressbook search crashes Claws Mail.